Reports.GetPresident
Try it in Swagger
Endpoint
- Method:
GET
- Route:
Reports/President/{strMonthEndDate}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
strMonthEndDate |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
Success Body
Response type: IReadOnlyList<PresidentReportDataDto>
| Field |
Type |
Max Length |
Notes |
branchCode |
int |
|
|
postDate |
DateTime |
|
|
invoicePosted |
decimal |
|
|
cRMemoPosted |
decimal |
|
|
cashPosted |
decimal |
|
|
Response Sample
[
{
"branchCode": 123,
"postDate": "2026-05-07T00:00:00",
"invoicePosted": 123.45,
"cRMemoPosted": 123.45,
"cashPosted": 123.45
}
]